CertStatus (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.ocsp

## Class CertStatus

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.CertStatus

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class CertStatus
      extends ASN1Object
      implements ASN1Choice

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertStatus()` create a CertStatus object with a tag of zero.
    `CertStatus(ASN1TaggedObject choice)`
    `CertStatus(int tagNo, ASN1Encodable value)`
    `CertStatus(RevokedInfo info)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertStatus` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static CertStatus` | `getInstance(java.lang.Object obj)`
    `ASN1Encodable` | `getStatus()`
    `int` | `getTagNo()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertStatus

          public CertStatus()

      create a CertStatus object with a tag of zero.

    - #### CertStatus

          public CertStatus(RevokedInfo info)

    - #### CertStatus

          public CertStatus(int tagNo,
                    ASN1Encodable value)

    - #### CertStatus

          public CertStatus(ASN1TaggedObject choice)

  - ### Method Detail

    - #### getInstance

          public static CertStatus getInstance(java.lang.Object obj)

    - #### getInstance

          public static CertStatus getInstance(ASN1TaggedObject obj,
                               boolean explicit)

    - #### getTagNo

          public int getTagNo()

    - #### getStatus

          public ASN1Encodable getStatus()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            CertStatus ::= CHOICE {
                            good        [0]     IMPLICIT NULL,
                            revoked     [1]     IMPLICIT RevokedInfo,
                            unknown     [2]     IMPLICIT UnknownInfo }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.